From: Ole Streicher <debian@liska.ath.cx>
Date: Sat, 5 Aug 2017 11:30:42 +0200
Subject: Use standard BLT.

This reverts patch 4b228b...1d3dea on github.
---
 cat/library/AstroImage.tcl         |  6 +++---
 cat/library/AstroQuery.tcl         |  8 ++++----
 rtd/library/RtdImageBias.tcl       | 14 +++++++-------
 rtd/library/RtdImageCut.tcl        |  4 ++--
 rtd/library/RtdImageHduChooser.tcl |  2 +-
 rtd/library/RtdImagePanel.tcl      | 30 +++++++++++++++---------------
 rtd/library/RtdImagePick2.tcl      | 24 ++++++++++++------------
 rtd/library/RtdImagePickView.tcl   |  2 +-
 rtd/library/RtdImagePixTable.tcl   |  6 +++---
 rtd/library/RtdImagePrint.tcl      |  2 +-
 rtd/library/RtdRecorder.tcl        |  8 ++++----
 tclutil/aclocal.m4                 |  4 ++--
 tclutil/library/Batch.tcl          |  5 +----
 tclutil/library/CanvasDraw.tcl     |  2 +-
 tclutil/library/EntryForm.tcl      | 10 +++++-----
 tclutil/library/GraphPrint.tcl     |  7 ++++++-
 tclutil/library/LabelCheck.tcl     |  4 ++--
 tclutil/library/LabelChoice.tcl    |  4 ++--
 18 files changed, 72 insertions(+), 70 deletions(-)

diff --git a/cat/library/AstroImage.tcl b/cat/library/AstroImage.tcl
index 8cf135c..b1177fc 100644
--- a/cat/library/AstroImage.tcl
+++ b/cat/library/AstroImage.tcl
@@ -183,9 +183,9 @@ itcl::class cat::AstroImage {
 
 	pack [set f [frame $w_.main.top.f -relief groove -borderwidth 2]] \
 	    -side top -fill x -pady 1m
-	blt::blttable $f
+	blt::table $f
 
-	blt::blttable $f \
+	blt::table $f \
 	    [set name_ [LabelEntry $f.name \
 		 -text "Object Name:" \
 		 -command [code $this getimage] \
@@ -269,7 +269,7 @@ itcl::class cat::AstroImage {
 	    -side right -padx 1m -pady 2m
 
 
-	blt::blttable configure $f C1 -padx 2m
+	blt::table configure $f C1 -padx 2m
 
 	# dialog buttons
 	pack [frame $w_.buttons -borderwidth 2 -relief groove] \
diff --git a/cat/library/AstroQuery.tcl b/cat/library/AstroQuery.tcl
index 338f927..eeebb3d 100644
--- a/cat/library/AstroQuery.tcl
+++ b/cat/library/AstroQuery.tcl
@@ -87,7 +87,7 @@ itcl::class cat::AstroQuery {
 	pack [set f [frame $w_.options.f]] \
 	    -side top -fill x
 	
-	set search_opts_ [blt::blttable $f]
+	set search_opts_ [blt::table $f]
 	set search_opts_row_ 0
 
 	# if we are using world coords, display name, equinox, ra, dec
@@ -262,7 +262,7 @@ itcl::class cat::AstroQuery {
 				      -valuefont $itk_option(-valuefont) \
 				      -labelfont $itk_option(-labelfont)]]
 	    }
-	    blt::blttable configure $f C1 -padx 2m
+	    blt::table configure $f C1 -padx 2m
 	} else {
 	    # no options
 	    destroy $w_.options
@@ -277,7 +277,7 @@ itcl::class cat::AstroQuery {
     protected method add_copyright {} {
 	set s [$astrocat copyright]
 	if {"$s" != "" && [winfo exists $search_opts_]} {
-	    blt::blttable $search_opts_ \
+	    blt::table $search_opts_ \
 		[LabelValue $search_opts_.copyright \
 		     -anchor w -relief flat \
 		     -labelwidth 0 -valuewidth 0 \
@@ -297,7 +297,7 @@ itcl::class cat::AstroQuery {
 	set col 0
 	foreach w $args {
 	    if {"$w" != ""} {
-		blt::blttable $search_opts_ $w $search_opts_row_,$col \
+		blt::table $search_opts_ $w $search_opts_row_,$col \
 		    -fill x -pady 1m
 	    }
 	    incr col
diff --git a/rtd/library/RtdImageBias.tcl b/rtd/library/RtdImageBias.tcl
index 5014cfa..856ad74 100644
--- a/rtd/library/RtdImageBias.tcl
+++ b/rtd/library/RtdImageBias.tcl
@@ -110,7 +110,7 @@ itcl::class rtd::RtdImageBias {
                 -command [code $this onOff]
         } { keep -state }
 
-        blt::blttable $itk_component(bias) \
+        blt::table $itk_component(bias) \
             $itk_component(onoff)         0,0 -pady 3 \
             $itk_component(copy)          0,1 -pady 3
 
@@ -121,12 +121,12 @@ itcl::class rtd::RtdImageBias {
 		label $w_.label$comp \
 			-anchor c
 	    }
-	    blt::blttable $itk_component(status) \
+	    blt::table $itk_component(status) \
 		    $itk_component(label$comp)      0,$i
-	    blt::blttable configure $itk_component(status) c$i -resize none
+	    blt::table configure $itk_component(status) c$i -resize none
 	    incr i
 	}
-	blt::blttable configure $itk_component(status) c5 -resize expand
+	blt::table configure $itk_component(status) c5 -resize expand
 
 	foreach el "Load Copy Clear" {
 	    set s [string tolower $el]
@@ -205,7 +205,7 @@ itcl::class rtd::RtdImageBias {
 	    }
             $itk_component(filename$i) component entry config -highlightthickness 0 -takefocus 0
 
-	    blt::blttable $itk_component(status) \
+	    blt::table $itk_component(status) \
 		    $itk_component(labelnr$i)     $n,0 \
 		    $itk_component(select$i)      $n,1 \
 		    $itk_component(choose$i)      $n,2 \
@@ -244,7 +244,7 @@ itcl::class rtd::RtdImageBias {
                     -command [code $this auto_set_cut_levels]       
 	}
 
-        blt::blttable $itk_component(cuts) \
+        blt::table $itk_component(cuts) \
 		$itk_component(labelcut)     0,0 -columnspan 3 -pady 4 \
 		$itk_component(low)          1,0 -anchor w -ipady 3 -pady 2 \
 		$itk_component(high)         1,1 -anchor w -ipady 3 -pady 2 \
@@ -257,7 +257,7 @@ itcl::class rtd::RtdImageBias {
 		    -command [code $this close]
 	}
 
-        blt::blttable $itk_component(buttons) \
+        blt::table $itk_component(buttons) \
             $itk_component(close)        0,0 -pady 3
 
     }
diff --git a/rtd/library/RtdImageCut.tcl b/rtd/library/RtdImageCut.tcl
index 272f1e1..fd14b53 100644
--- a/rtd/library/RtdImageCut.tcl
+++ b/rtd/library/RtdImageCut.tcl
@@ -226,7 +226,7 @@ itcl::class rtd::RtdImageCut {
 	    pack $itk_component(${el}cut) -padx 1m
 	}
 
-        blt::blttable $itk_component(scales) \
+        blt::table $itk_component(scales) \
             $itk_component(lowscale)       1,0 -anchor w -fill x -padx 1m -pady 1m \
             $itk_component(highscale)      1,1 -anchor w -fill x -padx 1m -pady 1m \
             $itk_component(percent)        2,0 -anchor c -fill x -columnspan 2 -padx 1m \
@@ -249,7 +249,7 @@ itcl::class rtd::RtdImageCut {
 	add_button update Update update_graph
 	add_button close Close quit
 	
-        blt::blttable $itk_component(buttons) \
+        blt::table $itk_component(buttons) \
             $itk_component(set)       1,0 -anchor w -fill x -padx 1m -pady 2m \
             $itk_component(reset)     1,1 -anchor w -fill x -padx 1m -pady 2m \
             $itk_component(median)    1,2 -anchor w -fill x -padx 1m -pady 2m \
diff --git a/rtd/library/RtdImageHduChooser.tcl b/rtd/library/RtdImageHduChooser.tcl
index 2a8f23a..9ffd96b 100644
--- a/rtd/library/RtdImageHduChooser.tcl
+++ b/rtd/library/RtdImageHduChooser.tcl
@@ -472,7 +472,7 @@ itcl::class rtd::RtdImageHduChooser {
 	
 
 	# position the images in the table
-	catch {blt::blttable forget $itk_component(imagetab)}
+	catch {blt::table forget $itk_component(imagetab)}
 
 	set hdu [$image_ hdu]
 	set idx [expr {$hdu -1}]
diff --git a/rtd/library/RtdImagePanel.tcl b/rtd/library/RtdImagePanel.tcl
index 66866ed..ff92bcc 100644
--- a/rtd/library/RtdImagePanel.tcl
+++ b/rtd/library/RtdImagePanel.tcl
@@ -56,7 +56,7 @@ itcl::class rtd::RtdImagePanel {
     # do the widget layout, aligning the items in rows and colums
 
     protected method make_layout {} {
-	blt::blttable $w_
+	blt::table $w_
 	add_short_help $w_ {Image information area}
 
 	# frame at the lower right of the panel that optionally
@@ -102,9 +102,9 @@ itcl::class rtd::RtdImagePanel {
 		    -relief groove
 	    } 
 	    if { "$itk_option(-panel_orient)" == "vertical" } {
-		blt::blttable $w_ $itk_component(object)  [incr row],0 -fill x -anchor e
+		blt::table $w_ $itk_component(object)  [incr row],0 -fill x -anchor e
 	    } else {
-		blt::blttable $w_ $itk_component(object)  [incr row],0 -fill x -anchor e -columnspan 3
+		blt::table $w_ $itk_component(object)  [incr row],0 -fill x -anchor e -columnspan 3
 	    }
 
 	    add_short_help $itk_component(object) \
@@ -151,12 +151,12 @@ itcl::class rtd::RtdImagePanel {
 		    -anchor e
 	    } 
 	    if { "$itk_option(-panel_orient)" == "vertical" } {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(x)       [incr row],0 -fill x -anchor w \
 			$itk_component(y)       [incr row],0 -fill x -anchor w \
 			$itk_component(value)   [incr row],0 -fill x -anchor w
 	    } else {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(x)       [incr row],0 -fill x -anchor w \
 			$itk_component(y)       $row,1 -fill x -anchor w \
 			$itk_component(value)   $row,2 -fill x -anchor w
@@ -214,12 +214,12 @@ itcl::class rtd::RtdImagePanel {
 		    -anchor e
 	    } 
 	    if { "$itk_option(-panel_orient)" == "vertical" } {
-		blt::blttable $w_ \
+		blt::table $w_ \
 		    $itk_component(ra)      [incr row],0 -fill x -anchor w \
 		    $itk_component(dec)     [incr row],0 -fill x -anchor w \
 		    $itk_component(equinox) [incr row],0 -fill x -anchor w
 	    } else {
-		blt::blttable $w_ \
+		blt::table $w_ \
 		    $itk_component(ra)      [incr row],0 -fill x -anchor w \
 		    $itk_component(dec)     $row,1 -fill x -anchor w \
 		    $itk_component(equinox) $row,2 -fill x -anchor w
@@ -271,12 +271,12 @@ itcl::class rtd::RtdImagePanel {
 		    -anchor e
 	    } 
 	    if { "$itk_option(-panel_orient)" == "vertical" } {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(min)     [incr row],0 -fill x -anchor w \
 			$itk_component(max)     [incr row],0 -fill x -anchor w \
 			$itk_component(bitpix)  [incr row],0 -fill x -anchor w
 	    } else {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(min)     [incr row],0 -fill x -anchor w \
 			$itk_component(max)     $row,1 -fill x -anchor w \
 			$itk_component(bitpix)  $row,2 -fill x -anchor w
@@ -320,12 +320,12 @@ itcl::class rtd::RtdImagePanel {
 		keep -state
 	    }
 	    if { "$itk_option(-panel_orient)" == "vertical" } {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(low)     [incr row],0 -fill x -anchor w \
 			$itk_component(high)    [incr row],0 -fill x -anchor w \
 			$itk_component(lrframe) [incr row],0 -fill x -anchor w
 	    } else {
-		blt::blttable $w_ \
+		blt::table $w_ \
 			$itk_component(low)     [incr row],0 -fill x -anchor w \
 			$itk_component(high)    $row,1 -fill x -anchor w \
 			$itk_component(lrframe) $row,2 -fill x -anchor w
@@ -355,7 +355,7 @@ itcl::class rtd::RtdImagePanel {
 	    } {
 		keep -state
 	    }
-	    blt::blttable $w_ \
+	    blt::table $w_ \
 		$itk_component(trans)   [incr row],0 -fill x -anchor w -columnspan 2
 	}
 
@@ -364,14 +364,14 @@ itcl::class rtd::RtdImagePanel {
 	    canvas $w_.status -height 0 -width 0
 	}
 	if { "$itk_option(-panel_orient)" == "vertical" } {
-	    blt::blttable $w_ \
+	    blt::table $w_ \
 		    $itk_component(cameraStatus)  [incr row],0 -fill both -anchor nw
 	} else {
-	    blt::blttable $w_ \
+	    blt::table $w_ \
 		    $itk_component(cameraStatus)  $row,2 -fill both -anchor nw
 	}
 
-	blt::blttable configure $w_ c2 -padx 1m
+	blt::table configure $w_ c2 -padx 1m
     }
     
     public method camSts { args } {
diff --git a/rtd/library/RtdImagePick2.tcl b/rtd/library/RtdImagePick2.tcl
index 0552382..e4bfbbb 100644
--- a/rtd/library/RtdImagePick2.tcl
+++ b/rtd/library/RtdImagePick2.tcl
@@ -51,13 +51,13 @@
 #  $itk_component(choicef)  - choice frame
 #  $itk_component(buttonf)  - button frame
 #
-# The frames (and all other widgets) are packed with the blt::blttable geometry
+# The frames (and all other widgets) are packed with the blt::table geometry
 # manager. The 'pack' geometry manager should not be used (see LIMITATIONS
 # on man page of table(BLT 2.4).
 #
 # There are options like -with_info, -with_choice which are set to 1 by default
 # to show all frames (see options). They can be set to 0 and the application
-# can re-arrange the frames (via blt::blttable) as required.
+# can re-arrange the frames (via blt::table) as required.
 #
 # NOTES
 # - In contrast to RtdImagePick, RtdImagePick2 does not use tkwait which may
@@ -170,7 +170,7 @@ itcl::class rtd::RtdImagePick2 {
 	}
 	eval $methd $itk_component($compo)
 	if { $map } {
-	    eval blt::blttable $w $itk_component($compo) $idx $opts
+	    eval blt::table $w $itk_component($compo) $idx $opts
 	}
     }
 
@@ -197,7 +197,7 @@ itcl::class rtd::RtdImagePick2 {
 	    [$wdg component entry] config -justify right -highlightthickness 0
 	    [$wdg component label] config -pady 0
 	}
-	blt::blttable $w $wdg $idx -fill x -anchor e
+	blt::table $w $wdg $idx -fill x -anchor e
     }
 
     # Create the widgets for displaying the statistics
@@ -237,7 +237,7 @@ itcl::class rtd::RtdImagePick2 {
 		    -factor        $itk_option(-zoomFact) \
 		    -command       [code $this zoomScaledCb]
 	}
-	blt::blttable $w $itk_component(zoomView) 0,0
+	blt::table $w $itk_component(zoomView) 0,0
     }
 
     # Add a button and add to blt table
@@ -246,7 +246,7 @@ itcl::class rtd::RtdImagePick2 {
 	itk_component add $compo {
 	    button $w.$compo -text $text -command $command
 	}
-	blt::blttable $w $itk_component($compo) $idx -fill x
+	blt::table $w $itk_component($compo) $idx -fill x
     }
 
     # Add an application specific button
@@ -256,13 +256,13 @@ itcl::class rtd::RtdImagePick2 {
 
 	if { "[cget -panel_orient]" == "horizontal" } {
 	    # add button and redo packing
-	    set names [blt::blttable search $w -pattern *]
+	    set names [blt::table search $w -pattern *]
 	    add_button $w $compo $text 0,$idx $command
 	    
 	    set names [linsert $names $idx $itk_component($compo)]
 	    set i -1
 	    foreach name $names {
-		blt::blttable $w $name 0,[incr i] -fill x
+		blt::table $w $name 0,[incr i] -fill x
 	    }
 	} else {
 	    add_button $w $compo $text 1,$idx $command
@@ -312,7 +312,7 @@ itcl::class rtd::RtdImagePick2 {
 		-entrycommand [code $this update_rect]
 	[$sldWdg component label] config -justify left
 
-	blt::blttable $sldWdg \
+	blt::table $sldWdg \
 		[$sldWdg component label]      0,0 -anchor w -fill x \
 		[$sldWdg component entry]      0,1 -anchor e \
 		[$sldWdg component scaleframe] 1,0 -fill x -columnspan 2 -padx 1m
@@ -322,7 +322,7 @@ itcl::class rtd::RtdImagePick2 {
 
     protected method make_sldframe { w } {
 	make_slider $w
-	blt::blttable $w $itk_component(slider) 0,0 -anchor w -fill x
+	blt::table $w $itk_component(slider) 0,0 -anchor w -fill x
     }
 
     # Create pick control frame
@@ -370,13 +370,13 @@ itcl::class rtd::RtdImagePick2 {
 	    label $zoomctrlf.label -text "" -width 3 -font $itk_option(-labelfont) 
 	}
 
-	blt::blttable $zoomctrlf \
+	blt::table $zoomctrlf \
 		$itk_component(pickMark)  0,0  -fill y -anchor w -columnspan 3 \
 		$itk_component(larger)    1,0  -fill x \
 		$itk_component(smaller)   1,1  -fill x \
 		$itk_component(scalelab)  1,2  -fill x
 
-	blt::blttable $w \
+	blt::table $w \
 		$itk_component(rbChoice)  0,0 -fill both \
 		$itk_component(zoomctrlf) 0,1 -fill both
     }
diff --git a/rtd/library/RtdImagePickView.tcl b/rtd/library/RtdImagePickView.tcl
index af0f936..8bbd8cb 100644
--- a/rtd/library/RtdImagePickView.tcl
+++ b/rtd/library/RtdImagePickView.tcl
@@ -46,7 +46,7 @@ itcl::class rtd::RtdImagePickView {
 	catch {pack forget [$w_.image component hscrollf] \
 		[$w_.image component vscrollf]}
 
-	blt::blttable $w_ \
+	blt::table $w_ \
 		$itk_component(image) 0,0 -fill both
 	
 	set image_  [$itk_component(image) get_image]
diff --git a/rtd/library/RtdImagePixTable.tcl b/rtd/library/RtdImagePixTable.tcl
index f39762d..fb08945 100644
--- a/rtd/library/RtdImagePixTable.tcl
+++ b/rtd/library/RtdImagePixTable.tcl
@@ -73,13 +73,13 @@ itcl::class rtd::RtdImagePixTable {
 	    set f [frame $w_.tab]
 	}
 	pack $f -side top -fill both -expand 1
-	blt::blttable $f
+	blt::table $f
 	set ncols $itk_option(-ncols)
 	set nrows $itk_option(-nrows)
         for {set col 0} {$col <= $ncols} {incr col} {
             set trow $nrows
             for {set row 0} {$row <= $nrows} {incr row} {
-		blt::blttable $f \
+		blt::table $f \
 		    [label $f.p$row,$col \
 			 -font $itk_option(-valuefont) \
 			 -borderwidth 1 \
@@ -158,7 +158,7 @@ itcl::class rtd::RtdImagePixTable {
 		    -valuewidth $itk_option(-valuewidth) \
 		    -relief groove \
 		    -anchor w}
-	    blt::blttable $sf $itk_component(pixtab_$lel) \
+	    blt::table $sf $itk_component(pixtab_$lel) \
 		$row,$col -fill both
 	    incr col
 	    if {$col >= $ncols} {
diff --git a/rtd/library/RtdImagePrint.tcl b/rtd/library/RtdImagePrint.tcl
index e46149a..6e6fbdf 100644
--- a/rtd/library/RtdImagePrint.tcl
+++ b/rtd/library/RtdImagePrint.tcl
@@ -116,7 +116,7 @@ itcl::class rtd::RtdImagePrint {
 	    -text "Page height" \
 	    -value $itk_option(-pageheight) \
 	    -valuewidth 6
-	blt::blttable $w_.pagesize \
+	blt::table $w_.pagesize \
 	    $w_.pagesize.fit      1,0 -anchor w \
 	    $w_.pagesize.footer   1,1 -anchor e \
 	    $w_.pagesize.width    2,0 -anchor w \
diff --git a/rtd/library/RtdRecorder.tcl b/rtd/library/RtdRecorder.tcl
index 96c290a..1b5f091 100644
--- a/rtd/library/RtdRecorder.tcl
+++ b/rtd/library/RtdRecorder.tcl
@@ -260,21 +260,21 @@ itcl::class rtd::RtdRecorderTool {
 
 	# do the packing
 
-	blt::blttable $itk_component(status) \
+	blt::table $itk_component(status) \
 	    $itk_component(progressLabel)      1,0 -anchor w -fill x \
 	    $itk_component(progressBar)        1,1 -anchor e -fill x -columnspan 2 \
 	    $itk_component(imagecount)         2,0 -anchor w -fill x -columnspan 2 \
 	    $itk_component(ncounts)            2,2 -anchor w -fill x
 
-	blt::blttable $itk_component(fileframe) \
+	blt::table $itk_component(fileframe) \
 	    $itk_component(filename)        1,0 -anchor w -fill x \
 	    $itk_component(cameraname)      2,0 -anchor w -fill x
 
-	blt::blttable $itk_component(pbaction1) \
+	blt::table $itk_component(pbaction1) \
 	    $itk_component(direction)   1,0 -anchor w -fill x \
 	    $itk_component(protect)     1,1 -anchor e -fill x	    
 
-	blt::blttable $itk_component(pbaction2) \
+	blt::table $itk_component(pbaction2) \
  	    $itk_component(play)        1,0 -anchor w -fill none \
  	    $itk_component(rewind)      1,1 -anchor w -fill none \
  	    $itk_component(ff)          1,2 -anchor w -fill none \
diff --git a/tclutil/aclocal.m4 b/tclutil/aclocal.m4
index db2ea8b..1c2371d 100644
--- a/tclutil/aclocal.m4
+++ b/tclutil/aclocal.m4
@@ -26,8 +26,8 @@ AC_DEFUN(TCLUTIL_PATH_BLT, [
        [AC_HELP_STRING([--with-blt=DIR],[link with BLT library installed in DIR])],
        BLT_LIB_DIR=$withval)
 
-    BLT_LIBNAME=libBLT25${SHLIB_SUFFIX}
-    BLT_LIBFLAG="-lBLT25"
+    BLT_LIBNAME=libBLT${SHLIB_SUFFIX}
+    BLT_LIBFLAG="-lBLT"
 
     if test -z "$BLT_LIB_DIR" ; then
 	# If --with-blt=dir was not specified, try the Tcl lib dir and the exec-prefix/lib dir
diff --git a/tclutil/library/Batch.tcl b/tclutil/library/Batch.tcl
index 31a734f..5798aa7 100644
--- a/tclutil/library/Batch.tcl
+++ b/tclutil/library/Batch.tcl
@@ -98,10 +98,7 @@ itcl::class util::Batch {
 	    puts $wfd $status
 	    flush $wfd
 	    close $wfd
-
-            #  The kill command is in Tclx and BLT, only BLT puts
-            #  it into a namespace we can use.
-	    blt::kill [pid] SIGKILL
+	    kill SIGKILL [pid]
 	} else {
 	    set bg_pid_ $pid
 	    fileevent $rfd readable [code $this read_pipe $rfd $wfd]
diff --git a/tclutil/library/CanvasDraw.tcl b/tclutil/library/CanvasDraw.tcl
index e513c43..5944b47 100644
--- a/tclutil/library/CanvasDraw.tcl
+++ b/tclutil/library/CanvasDraw.tcl
@@ -322,7 +322,7 @@ itcl::class util::CanvasDraw {
 			   -command [code $this set_drawing_mode $drawing_mode]]
 	    }
 	    add_short_help $b "set the drawing mode to $drawing_mode"
-	    blt::blttable $itk_component(drawmodes) $b $row,$col \
+	    blt::table $itk_component(drawmodes) $b $row,$col \
 		-fill x -ipadx 1m -ipady 1m
 	    if {$col < $maxcol} {
 		incr col
diff --git a/tclutil/library/EntryForm.tcl b/tclutil/library/EntryForm.tcl
index 5e3dc0f..f307dc2 100644
--- a/tclutil/library/EntryForm.tcl
+++ b/tclutil/library/EntryForm.tcl
@@ -79,10 +79,10 @@ itcl::class util::EntryForm {
 		    -padx 1m -pady 1m -ipadx 1m -ipady 1m
 	}
 
-	blt::blttable $f
+	blt::table $f
 	set row 0
 	foreach label $itk_option(-labels) {
-	    blt::blttable $f \
+	    blt::table $f \
 		[label $f.label$row -text $label] \
 		$row,0 -anchor e \
 		[set entries_($label) [entry $f.entry$row -relief sunken]] \
@@ -93,9 +93,9 @@ itcl::class util::EntryForm {
 
 	    incr row
 	}
-	blt::blttable configure $f c1 -resize expand
-        blt::blttable configure $f c0 -resize none
-        blt::blttable configure $f r* -resize none
+	blt::table configure $f c1 -resize expand
+        blt::table configure $f c0 -resize none
+        blt::table configure $f r* -resize none
 
 	wm title $w_ {Entry Form}
 	set initialized_ 1
diff --git a/tclutil/library/GraphPrint.tcl b/tclutil/library/GraphPrint.tcl
index bce0e71..e7808a4 100644
--- a/tclutil/library/GraphPrint.tcl
+++ b/tclutil/library/GraphPrint.tcl
@@ -35,13 +35,18 @@ itcl::class util::GraphPrint {
         } else {
            set fit no
         }
+        if { [set $w_.color] == "color" } {
+           set gs no
+        } else {
+           set gs yes
+        }
        
 	# try to fit on a page
 	set width [lindex [$itk_option(-graph) config -width] 4]
 	set height [lindex [$itk_option(-graph) config -height] 4]
 
         $itk_option(-graph) postscript configure \
-		-colormode [set $w_.color] \
+		-greyscale $gs \
 		-paperwidth [$w_.pagesize.width get] \
 		-paperheight [$w_.pagesize.height get] \
 		-landscape [set $w_.rotate] \
diff --git a/tclutil/library/LabelCheck.tcl b/tclutil/library/LabelCheck.tcl
index ea77115..d05f4ab 100644
--- a/tclutil/library/LabelCheck.tcl
+++ b/tclutil/library/LabelCheck.tcl
@@ -27,7 +27,7 @@ itcl::class util::LabelCheck {
 	    keep -background -relief -borderwidth
 	}
 
-	blt::blttable $itk_component(table)
+	blt::table $itk_component(table)
  	eval itk_initialize $args
     }
 
@@ -87,7 +87,7 @@ itcl::class util::LabelCheck {
 		    rename -font -valuefont valueFont Font
 		    rename -width -valuewidth valueWidth Width
 		}
-		blt::blttable $itk_component(table) $but_($name) $row,$col -fill x
+		blt::table $itk_component(table) $but_($name) $row,$col -fill x
 		if {[incr i] == $n} {
 		    break
 		}
diff --git a/tclutil/library/LabelChoice.tcl b/tclutil/library/LabelChoice.tcl
index a6e68d6..ee2beda 100644
--- a/tclutil/library/LabelChoice.tcl
+++ b/tclutil/library/LabelChoice.tcl
@@ -27,7 +27,7 @@ itcl::class util::LabelChoice {
 	    keep -background -relief -borderwidth
 	}
 
-	blt::blttable $itk_component(table)
+	blt::table $itk_component(table)
  	eval itk_initialize $args
     }
 
@@ -87,7 +87,7 @@ itcl::class util::LabelChoice {
 		    rename -font -valuefont valueFont Font
 		    rename -width -valuewidth valueWidth Width
 		}
-		blt::blttable $itk_component(table) $but_($name) $row,$col -fill x
+		blt::table $itk_component(table) $but_($name) $row,$col -fill x
 		if {[incr i] == $n} {
 		    break
 		}
